
package Node;

sub new {
    my $class = shift;
    my $self  = {};
    bless $self;
    if (defined $_[0]) {
	$self->{PHRASE} = shift;	
    }
    if (defined $_[0]) {
	$self->{PARENT} = shift;	
    }
    $self->{CHILDREN} = [];
    return $self;
}


1;
